v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/subjects/{subjectId}/doseheld
Get kits which are marked as dose hold for a given search criteria. Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
asofdate: string
Get data as of the given dateExample:
2026-03-01 -
instanceNumber: number
Instance number for unscheduled visit.Example:
1 -
visitId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visitExample:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : DoseHoldKit v3.0
Type:
objectTitle:
DoseHoldKit v3.0Response containing dose hold kit details.
Show Source
-
blindedTItrationLabel: string
Title:
Blinded Titration LabelBlinded titration label.Example:Low dose -
deviceType: string
Title:
Device TypeDevice type.Example:ActivityWatch -
instanceNumber: number
Title:
Instance NumberVisit instance number.Example:1 -
isTitration: boolean
Title:
TitrationIndicates whether the current medication is a titration.Example:true -
isUnblindedPharmacist: boolean
Title:
Treatment Assignment VisibilityIndicates whether treatment assignment information may be visible to study personnel. It should not be visible to study personnel and must be accessible only to an unblinded pharmacist.Example:true -
kitDescription: string
Title:
Kit DescriptionKit description.Example:Kit A -
kitTypeSrcId: string
Title:
Kit Type Source IDKit type ID.Example:D313327EF13845169A8ADADDA435431E -
reason: string
Title:
ReasonReason for kits not allowed for dose hold.Example:DOSE_HOLD_VISIT_NOT_STARTED -
transactionDate: string
(date-time)
Title:
Visit TimestampVisit timestamp.Example:2017-09-26T15:40:14.357Z -
trialSupplyType: string
Title:
Trial Supply TypeType of the trial supply.Example:BOTTLE -
userId: string
(uuid)
Title:
User IDUser ID. -
visitId: string
(uuid)
Title:
Visit IDVisit ID.
Examples
400 Response
Invalid subject OR Scheduled visit with instance number OR Unscheduled visit with no instance number
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples